#
# spec file for package librcd0
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           librcd0
Version:        0.1.13
Release:        30.2
Summary:        Russian Charset Detection Library
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://rusxmms.sourceforge.net
Source0:        http://dside.dyndns.org/files/rusxmms/librcd-%{version}.tar.bz2
Source100:      baselibs.conf
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Automatic encoding detection library for russian/ukrainian languages.
Optimized for very small words and phrases.

%package -n librcd-devel
Summary:        Development Files for LibRCD
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description -n librcd-devel
Development files for the package LibRCD.

%prep
%setup -qn librcd-%{version}

%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{_builddir}/librcd-%{version}/examples/{.deps,Makefile}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/librcd.so.*

%files -n librcd-devel
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README examples
%{_includedir}/*
%{_libdir}/librcd.so

%changelog
* Mon Jun 18 2012 coolo@suse.com
- add baselibs.conf for librcc0 to use -32bit
* Fri Dec 16 2011 lazy.kent@opensuse.org
- Corrected License tag according to SPDX standard.
- Use full URL as a source.
- Spec clean up and formatting.
* Tue Nov 22 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Tue Nov 22 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Apr  7 2010 lazy.kent.suse@gmail.com
- corrected Summary
* Fri Apr  2 2010 lazy.kent.suse@gmail.com
- add COPYING
* Mon Mar  8 2010 lazy.kent.suse@gmail.com
- spec-file reworked
* Fri Feb 12 2010 csa@dside.dyndns.org
- Update to 0.1.13
* Sun Oct  5 2008 andamasov@gmail.com
- Update to 0.1.11
* Tue Jun 17 2008 highwaystar.ru@gmail.com
- initial OBS build
